function [meanInvTerminalUtil, mgrFundShare, mgrMaximizingKappa] = multiUtilDevMCFundShare(oneDayGridMovementProb, investorTerminalUtility, fundValueGrid)
    %runs utilDevMC for a range of fund share settings

    noFundShares = 61;

    mgrMaximizingKappa = zeros(301, 63, noFundShares); %mgr maximizing kappa surf for each fund share value
    mgrFundShare = zeros(noFundShares, 1);
    meanInvTerminalUtil = zeros(noFundShares, 1);
    
    [~, ~, ~, ~, invMaxKappa] = masterSim2(1, 1, 0, 0, 0, 0, 1, 0);
    for i = 1:(noFundShares)
        disp('simulation no');
        disp(i);
        mgrFundShare(i, 1) = (i-1)*0.0025;
        
        [~, ~, ~, ~, mgrMaxKappa(:, :, i)] = masterSim2(1, mgrFundShare(i, 1), 0.25*0.2, 0.25*0.02, 2, 0, 1, 0);
        [meanInvTerminalUtil(i, 1), ~, ~, ~, ~] = utilDevMC(oneDayGridMovementProb, investorTerminalUtility, mgrMaxKappa(:, :, i), fundValueGrid, 200, 0);
    end 
    
    
end