function [normMatrix] = normFundShare()
    %computes the manager-investor kappa-difference as a function of fund
    %share

    function norm = calcNorm(fundShare) %norm not in current use
        [~, ~, ~, ~, mgrMatrix] = masterSim2(1, fundShare, 0.2*0.25, 0.02*0.25, 2, 0, 1, 0);
        [~, ~, ~, ~, invMatrix] = masterSim2(1, 1, 0, 0, 0, 0, 1, 0);
        distanceMatrix = abs(mgrMatrix-invMatrix);
        
        norm = 0;
        for i = 155:280
            for j = 1:(size(distanceMatrix, 2) - 1)
                norm = norm + (distanceMatrix(i, j))^2;
            end
        end
        norm = sqrt(norm);
    end

    [~, ~, ~, ~, invMatrix] = masterSim2(1, 1, 0, 0, 0, 0, 1, 0);

    function norm = calcAvgNorm(fundShare) %norm used in the final paper
        [~, ~, ~, ~, mgrMatrix] = masterSim2(1, fundShare, 0.2*0.25, 0.02*0.25, 2, 0, 1, 0);
        distanceMatrix = abs(mgrMatrix(155:280, 1:62) - invMatrix(155:280, 1:62));
        
        norm = 0;
        
        for i = 1:size(distanceMatrix, 1)
            for j = 1:size(distanceMatrix, 2)
                norm = norm + distanceMatrix(i, j);
            end
        end
        norm = norm /((280-154)*62);
        
    end

    function normMatrix = plotNorm(fundShareLength)
        normMatrix = zeros(fundShareLength, 1);
        
        for i = 0:fundShareLength
            disp(i);
            fundShare = i*0.001;
            
            normMatrix(i+1, 1) = calcAvgNorm(fundShare);
        end
        
        
        plot(normMatrix);
    end

    normMatrix = plotNorm(20); 
end