function [incOptionVal] = optionValuation(oneDayGridMovementProb, investorTerminalUtility, fundValueGrid, incFee)
    %valuates the incentive option with managerial control

    %terminalIndexProb = probability distribution over terminal fund indices
    
    %terminalIncFeeVal = the value of the incentive fee as a function of
    %terminal fund index
    terminalIncFeeVal = zeros(301, 1);
    fundShareVariations = 41;
    fundShares = zeros(fundShareVariations, 1);
    incOptionVal = zeros(fundShareVariations, 1);
    fundValues = fundValueGrid(:, 1); %initial day fund values
    mgrMaximizingKappa = zeros(301, 63);
    
    
    for j = 1:size(fundShares, 1)
        fundShares(j, 1) = 0.0025*(j-1);
        [~, ~, ~, ~, mgrMaximizingKappa] = masterSim2(1, fundShares(j, 1), incFee, 0.02*0.25, 2, 0, 1, 0);
        [~, ~, ~, gridCount, ~] = utilDevMC(oneDayGridMovementProb, investorTerminalUtility, mgrMaximizingKappa, fundValueGrid, 200, 0);
        terminalGridCount = gridCount(:, 62);
        
        terminalGridCount = terminalGridCount/sum(terminalGridCount);
        
        for i = 1:301
            terminalIncFeeVal(i, 1) = incFee*(1-fundShares(j, 1))*max(0, fundValues(i, 1) - 1);
                 
            incOptionVal(j, 1) = incOptionVal(j, 1) + terminalGridCount(i, 1)*terminalIncFeeVal(i, 1);
        end
    end
    
    
end