function [incOptionVal] = optionValuationSimple(fundShare)
    %valuates the incentive option assuming a constant kappa = 1
    
    sampleSize = 1e5;
    
    %hodder:
    anSigma = 0.05*sqrt(4);
    anRiskFree = 0.05;
    %kouwenberg:
%     anSigma = 0.2;
%     anRiskFree = 0.04;
    
    qSigma = anSigma/sqrt(4);
    qRiskFree = anRiskFree/4;
    exTime = 1;
    initialFundVal = 1;
    currentFundVal = 1;
    
    for i=1:sampleSize
        disp(i);
        E(i, 1)=normrnd(0,1);
        fundVal(i, 1)=initialFundVal*exp((qRiskFree-(1/2)*qSigma^2)*exTime+anSigma*sqrt(exTime)*E(i,1));
        V(i, 1)=(exp(-anRiskFree*exTime))*0.2*0.25*(1-fundShare)*max(fundVal(i,1)-currentFundVal,0);
    end
    incOptionVal=(1/sampleSize)*sum(V);
    
end