function [certEqVec] = trpCertEqSolver(expUtilVec)
    %calculates the TRP certaintyEquivalent vector from an expected utility
    %vector
    
    fundShare = 0.1;
    benchmark = 1;
    mgtFee = 0.02*0.25;
    Z = 0;
    initialFundValue = 1;

        
    tauMinus = -2.25;
    tauPlus = 1;
    deltaMinus = 0.88;
    deltaPlus = 1;
    theta = fundShare*benchmark + mgtFee*(1-fundShare)*benchmark + Z;
    lambda = fundShare*0.60*benchmark + mgtFee*(1-fundShare)*0.60*benchmark + Z;
    %lambda = fundShare*0.60*initialFundValue + mgtFee*(1-fundShare)*0.60*initialFundValue + Z;
    tauLambda = -2.25*((theta)^0.88)/lambda;
    
    L = tauMinus*(theta - lambda)^deltaMinus;
    disp(L);
    certEqVec = zeros(size(expUtilVec, 1), 1);
    
    %probabilistic trp:
%     for i = 1:size(expUtilVec)
%         disp(i);
% 
%         if (expUtilVec(i, 1) < lambda)
%             certEqVec(i, 1) = 0;
%         elseif (expUtilVec(i, 1) >= -3.293e-3 && expUtilVec(i, 1) < theta)
%             f = @(W) -expUtilVec(i, 1) + tauMinus*(theta - W)^deltaMinus + W;
%             certEqVec(i, 1) = real(fsolve(f, lambda));
%         elseif (expUtilVec(i, 1) == theta)
%             certEqVec(i, 1) = theta;
%         else
%             f = @(W) -expUtilVec(i, 1) + tauPlus*(W - theta)^deltaPlus + W;
%             certEqVec(i, 1) = real(fsolve(f, theta));
%         end 
%     end
    
    %non probilistic trp (final version used in paper):
    for i = 1:size(expUtilVec)
        disp(i);

        if (expUtilVec(i, 1) < L)
            certEqVec(i, 1) = 0;
        elseif (expUtilVec(i, 1) >= L && expUtilVec(i, 1) < theta)
            f = @(W) -expUtilVec(i, 1) + tauMinus*(theta - W)^deltaMinus;
            certEqVec(i, 1) = real(fsolve(f, lambda));
        elseif (expUtilVec(i, 1) == theta)
            certEqVec(i, 1) = 0;
        else
            f = @(W) -expUtilVec(i, 1) + tauPlus*(W - theta)^deltaPlus;
            certEqVec(i, 1) = real(fsolve(f, theta));
        end 
    end
end